## org.gnu.gtk
Class CurveType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.CurveType

public class CurveType
extends Enum

Field Summary
`static CurveType` `FREE`
`static CurveType` `LINEAR`
`static CurveType` `SPLINE`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`CurveType` `and(CurveType other)`
`static CurveType` `intern(int value)`
`CurveType` `or(CurveType other)`
`boolean` `test(CurveType other)`
`CurveType` `xor(CurveType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINEAR

    public static final CurveType LINEAR

### SPLINE

    public static final CurveType SPLINE

### FREE

    public static final CurveType FREE

Method Detail

### intern

    public static CurveType intern(int value)

### or

    public CurveType or(CurveType other)

### and

    public CurveType and(CurveType other)

### xor

    public CurveType xor(CurveType other)

### test

    public boolean test(CurveType other)